Subject: Re: [PATCH] vhost/vsock: Use kvmalloc/kvfree for larger packets.

From: Jakub Kicinski <[email-masked]>
Date: Thu, 29 Sep 2022 11:07:40 -0700

On Thu, 29 Sep 2022 12:25:14 -0400 Michael S. Tsirkin wrote:
> On Thu, Sep 29, 2022 at 09:07:31AM -0700, Jakub Kicinski wrote:
> > On Thu, 29 Sep 2022 03:49:18 -0400 Michael S. Tsirkin wrote:  
> > > net tree would be preferable, my pull for this release is kind of ready ... kuba?  
> > 
> > If we're talking about 6.1 - we can take it, no problem.  
> 
> I think they want it in 6.0 as it fixes a crash.

I thought it's just an OOM leading to send failure. Junichi could you
repost with the tags collected and the header for that stack trace
included? The line that says it's just an OOM...

"someone tried to alloc >32kB because it worked on a freshly booted
system" kind of cases are a dime a dozen, no?..